[packagekit] [RFE] Reboot on upgrade ???

Ray Strode halfline at gmail.com
Sat Nov 17 17:34:16 PST 2007


On Nov 16, 2007 10:51 AM, Richard Hughes <hughsient at gmail.com> wrote:
> On Fri, 2007-11-16 at 16:34 +0100, Matej Cepl wrote:
> > pup has a nice functionality in having dialog box "Rebooting
> > required? [Now] [Later]" when some low-level important packages
> > (e.g., kernel, glibc, hal, etc.) are upgraded. I am not sure
> > (will investigate) whether pup gets information about which
> > packages requires restart somewhere from some metada or it has
> > hard-wired list in its code
> hard coded IIRC.
It's in the metadata, too, but pup (until recently) ignored the
metadata and just used a hard coded list.  Now I think it checks
against metadata AND the list.


More information about the PackageKit mailing list